Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.opstatus
Class ReportInfoImpl

    java.lang.Object
      com.sun.management.oss.impl.pm.opstatus.ReportInfoImpl

All Implemented Interfaces:
  java.lang.Cloneable, ReportInfo, java.io.Serializable

public class ReportInfoImpl
extends java.lang.Object
implements ReportInfo

Title: JSR090 Reference Implementation Description: Copyright: Copyright 2001 Ericsson Radio Systems AB Company: Ericsson

Version:
  0.2
Author:
  Andreas Jirven, Anna Eriksson, Ali Feizabadi
See Also:
  Serialized Form

Constructor Summary
`ReportInfoImpl()`

Method Summary
`java.lang.Object` | `clone()` Deep copy of this instance.
`boolean` | `equals(java.lang.Object o)`
`java.util.Calendar` | `getExpirationDate()` Gets the expiration date of the measurement report.
`ReportFormat` | `getReportFormat()` Returns the report format of the measurement report.
`java.net.URL` | `getURL()` Returns a pointer (URL) to the measurement report.
`int` | `hashCode()`
`ReportFormat` | `makeReportFormat()` Creates a new instance of the `ReportFormat` interface.
`void` | `setExpirationDate(java.util.Calendar expirationDate)` Sets the expiration date of the measurement report.
`void` | `setReportFormat(ReportFormat repf)` Sets the report format of the measurement report.
`void` | `setURL(java.net.URL url)` Sets a pointer (URL) to the measurement report.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportInfoImpl

    public ReportInfoImpl()

Method Detail

### clone

    public java.lang.Object clone()

  Description copied from interface: `ReportInfo`
  Deep copy of this instance.

  Specified by:
    `clone` in interface `ReportInfo`

### getExpirationDate

    public java.util.Calendar getExpirationDate()

  Description copied from interface: `ReportInfo`
  Gets the expiration date of the measurement report.

  When the expiration date of the measurement report occurs, the measurement report file will be removed from the performance monitor agent.

  If null is return, no expiration date exist for the measurement report and the retention period is implementation dependent.

  Specified by:
    `getExpirationDate` in interface `ReportInfo`
  Returns:
    Date Expiration date of the measurement report.
  See Also:
    `ReportInfo.setExpirationDate(java.util.Calendar)`

### getReportFormat

    public ReportFormat getReportFormat()

  Description copied from interface: `ReportInfo`
  Returns the report format of the measurement report.

  Specified by:
    `getReportFormat` in interface `ReportInfo`
  Returns:
    ReportFormat The report format of the measurement report.
  See Also:
    `ReportInfo.setReportFormat(com.sun.management.oss.pm.opstatus.ReportFormat)`

### getURL

    public java.net.URL getURL()

  Description copied from interface: `ReportInfo`
  Returns a pointer (URL) to the measurement report.

  Specified by:
    `getURL` in interface `ReportInfo`
  Returns:
    URL Reference to the measurement report.
  See Also:
    `ReportInfo.setURL(java.net.URL)`

### makeReportFormat

    public ReportFormat makeReportFormat()

  Description copied from interface: `ReportInfo`
  Creates a new instance of the `ReportFormat` interface.

  Specified by:
    `makeReportFormat` in interface `ReportInfo`
  Returns:
    ReportFormat The created object. The object is empty.

### setExpirationDate

    public void setExpirationDate(java.util.Calendar expirationDate)

  Description copied from interface: `ReportInfo`
  Sets the expiration date of the measurement report.

  If not set the expiration date will be set to null, no expiration date exist for the measurement report and the retention period is implementation dependent.

  Specified by:
    `setExpirationDate` in interface `ReportInfo`
  Parameters:
    `expirationDate` - a Calendar object specifying the expiration date value
  See Also:
    `ReportInfo.getExpirationDate()`

### setReportFormat

    public void setReportFormat(ReportFormat repf)

  Description copied from interface: `ReportInfo`
  Sets the report format of the measurement report.

  The supporting report format can be retrieved by using the OperationalStatusMonitorMethods.getReportFormats().

  Specified by:
    `setReportFormat` in interface `ReportInfo`
  Parameters:
    `repf` - The report format of the measurement report.
  See Also:
    `ReportInfo.getReportFormat()`

### setURL

    public void setURL(java.net.URL url)

  Description copied from interface: `ReportInfo`
  Sets a pointer (URL) to the measurement report.

  Specified by:
    `setURL` in interface `ReportInfo`
  Parameters:
    `url` - the URL value
  See Also:
    `ReportInfo.getURL()`

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object o)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD